/** ----------------------------------------------------------- Generic ----- */
a {
    transition: all .2s linear;
    text-decoration: none;
}
a:hover:not(.btn) {
    text-decoration: underline;
}
[data-href] {
    cursor: pointer;
}
/** -------------------------------------------------------- Breadcrumb ----- */
nav[aria-label="breadcrumb"] a {
    color: var(--cui-secondary-color);
}
nav[aria-label="breadcrumb"] a:hover {
    color: rgba(var(--cui-link-color-rgb), var(--cui-link-opacity, 1));
}

/** -------------------------------------------------------------- Card ----- */
.card .card-header {
    display: flex;
    align-items: center;
}
.card .card-header .card-header-actions {
    margin-left: auto;
    font-size: .875em;
}
.card .card-header .card-header-actions .card-header-action {
    padding-left: .5rem;
}
.card-filter {
    background-color: rgba(0, 0, 0, .075);
    border: 1px solid rgba(0, 0, 0, .1);
    border-radius: .5rem;
    padding: 1rem;
    margin-bottom: 1rem;
}
.filter.filtering:after {
    content: 'あり';
    color: #fff;
    background-color: #3399ff;
    border-radius: 1em;
    padding: .25em .4em;
    font-size: 75%;
}

/* -------------------------------------------------------------- Table ----- */
.table th {
    white-space: nowrap;
}
.table td {
    white-space: nowrap;
}
.table .sorting a {
    display: block;
    position: relative;
}
.table .sorting a:after {
    font-family: 'Font Awesome 6 Free';
    display: block;
    float: right;
    opacity: .5;
    right: 0;
    content: '\f0dc';
}
.table .sorting a.asc:after {
    content: '\f0de';
    opacity: .8;
}
.table .sorting a.desc:after {
    content: '\f0dd';
    opacity: .8;
}


/** --------------------------------------------- Dropdown (Horizontal) ----- */
.dropdown-horizontal .dropdown-menu.show {
    display: flex;
    border-radius: 5rem;
    padding: 0;
    margin-top: -.3rem !important;
    background-color: rgba(255,255,255,.7);
    backdrop-filter: blur(5px);
}
.dropdown-horizontal .dropdown-item {
    font-size: .9rem;
    padding: 0.3rem 1rem;
}
.dropdown-horizontal .dropdown-item:hover {
    background: transparent;
}

/** ------------------------------------------------------------ Routes ----- */
.route-desc {
    background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxMjggNTEyIj48cGF0aCBmaWxsPSIjOTk5OTk5IiBkPSJNNjQgMTQ0YTU2IDU2IDAgMSAxIDAtMTEyIDU2IDU2IDAgMSAxIDAgMTEyem0wIDIyNGMzMC45IDAgNTYgMjUuMSA1NiA1NnMtMjUuMSA1Ni01NiA1Ni01Ni0yNS4xLTU2LTU2IDI1LjEtNTYgNTYtNTZ6bTU2LTExMmMwIDMwLjktMjUuMSA1Ni01NiA1NnMtNTYtMjUuMS01Ni01NiAyNS4xLTU2IDU2LTU2IDU2IDI1LjEgNTYgNTZ6Ii8+PC9zdmc+);
    background-repeat: repeat-y;
    background-size: 1rem 1rem;
    background-position: 1px;
}

/** ---------------------------------------------------------- Datalist ----- */
.dl-horizontal {
    margin-bottom: 0;
}
.dl-horizontal dt {
    flex: 0 0 auto;
    width: 100%;
    text-align: left;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.dl-horizontal dd {
    flex: 0 0 auto;
    width: 100%;
    text-align: left;
}
.dl-horizontal dd:not(.after-d-none):after {
    content: '';
    display: inline-block;
}
@media (min-width: 768px) {
    .dl-horizontal dt {
        width: 150px;
        text-align: right;
    }
    .dl-horizontal dd {
        width: calc(100% - 150px);
    }
}
